%define	subver	001114a7

Summary:	A program for faxing using a Class 1, 2 or 2.0 fax modem
Name:		efax
Version:	0.9a
Release:	%mkrel 23
License:	GPL
Group:		Communications/Fax
Source0:	http://www.cce.com/efax/download/%{name}-%{version}-%{subver}.tar.bz2
URL:		http://www.cce.com/efax/
Source1:	efax.config.bz2
Patch0:		efax-0.9a-mdkconf.patch
Patch10:	efax-0.9-config.patch
Patch1:		efax-0.9a-crashpowerpc.patch
Patch2:		efax-0.9a-faxmail-mime.patch
Patch3:		efax-0.9a-fax_send.patch
Patch4:		efax-0.9a-fax_locale.patch
Patch5:		efax-0.9a_illegalnumber_test.patch
Patch6:		efax-0.9a-fix-str-fmt.patch


%description
Efax is a small ANSI C/POSIX program that sends and receives faxes using
any Class 1, 2 or 2.0 fax modem.

You need to install efax if you want to send faxes and you have a
Class 1, 2 or 2.0 fax modem.

%prep
%setup -q -n %{name}-%{version}-%{subver}
%patch0 -p1
%patch10 -p1
%patch1 -p1 -b .crashpowerpc
%patch2 -p1 -b .faxmail-mime
%patch3 -p1 -b .fax_send
%patch4 -p1 -b .fax_locale
%patch5 -p1 -b .fax
%patch6 -p0 -b .str

find . -type f | xargs perl -p -i -e 's@xloadimage@xli@';

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

make BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/fax.config

%files
%doc README
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/fax.config
%{_bindir}/fax
%{_bindir}/efax
%{_bindir}/efix
%{_mandir}/man1/fax.1*
%{_mandir}/man1/efax.1*
%{_mandir}/man1/efix.1*




%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.9a-23.mga6
+ Revision: 953826
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 0.9a-22.mga6
+ Revision: 879973
- reenable debuginfo & fix empty debuginfo (patch 10)

* Wed Sep 09 2015 neoclust <neoclust> 0.9a-21.mga6
+ Revision: 875135
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.9a-20.mga5
+ Revision: 745841
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9a-19.mga5
+ Revision: 678965
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9a-18.mga4
+ Revision: 504053
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9a-17.mga3
+ Revision: 349534
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 malo <malo> 0.9a-16.mga3
+ Revision: 302262
- update RPM group

* Wed Mar 23 2011 steletch <steletch> 0.9a-15.mga1
+ Revision: 75945
- imported package efax


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9a-15mdv2011.0
+ Revision: 605097
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9a-14mdv2010.1
+ Revision: 521119
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.9a-13mdv2010.0
+ Revision: 424380
- rebuild

* Tue Apr 07 2009 Funda Wang <fwang@mandriva.org> 0.9a-12mdv2009.1
+ Revision: 364897
- bunzip2 the patches
- fix str fmt

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.9a-10mdv2009.0
+ Revision: 220719
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.9a-9mdv2008.1
+ Revision: 149689
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 06 2007 Lenny Cartier <lenny@mandriva.org> 0.9a-8mdv2008.0
+ Revision: 23790
- Apply fixes to test for illegal telephone numbers (Bug #19390)
- Import efax



* Thu Aug 10 2006 Lenny Cartier <lenny@mandriva.com> 0.9a-7mdv2007.0
- rebuild

* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 0.9a-6mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.9a-5mdk
- Rebuild

* Mon Feb 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9a-4mdk
- update to use 'Mandrakelinux' in config

* Mon Feb 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9a-3mdk
- add debian fixes
- update url
- fix summary-ended-with-dot
- cleanups

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9a-2mdk
- rebuild

* Mon Dec 23 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.9a-1mdk
- Bump to 0.9a-001114a7 (fixes for winmodems ..), new source, url.
- Don't patch config file in, make it a source, don't patch the make file
  when setting a shell variable right will do.
- Patches 1,2,3 removed (upstreamed)

* Mon Aug 12 2002 Daouda LO <daouda@mandrakesoft.com> 0.9-11mdk
- fix file lock path from /var/lock to /tmp (Derek Jennings)
- add patch for null pointer
- patch -l option of efix (avoid truncated lines)
- add URL

* Tue Sep 04 2001 Florin  <florin@mandraksoft.com> 0.9-10mdk
- use xli instead of xloadimage

* Thu Aug 30 2001 Etienne Faure  <etienne@mandraksoft.com> 0.9-9mdk
- fixed small things to make rpmlint happy

* Sun Jan 14 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.9-8mdk
- removed patch3  --> 64bit alpha patch, seems to be obselete

* Fri Jan 12 2001 Etienne Faure  <etienne@mandraksoft.com> 0.9-7mdk
- fixed small things to make rpmlint happy

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-6mdk
- BM + macroszification

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-5mdk
- fix group

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9-4mdk
- Compile with egcs on alpha.

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo config patch
- /usr/bin/fax no longer a %%config file, now sources /etc/fax.config
	instead

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.9
- adapt patches
- s/RedHat/Mandrake/ in sender config...

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- patch to fix null ptr dereference
- added -ansi flag; fixes efix problem (produced bad tiff files)

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- cleaned spec file to new standard, confirmed package is up to date

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added efax-08a-64bit.patch from David Mosberger
